Bug 730077 - kdump: x86: Improve crashkernel=auto logic to take into account memory used by filtering utility
Summary: kdump: x86: Improve crashkernel=auto logic to take into account memory used b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.2
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Vivek Goyal
QA Contact: Chao Ye
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-11 17:38 UTC by Vivek Goyal
Modified: 2011-12-06 14:03 UTC (History)
7 users (show)

Fixed In Version: kernel-2.6.32-192.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 14:03:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1530 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Linux 6 kernel security, bug fix and enhancement update 2011-12-06 01:45:35 UTC

Description Vivek Goyal 2011-08-11 17:38:14 UTC
Description of problem:

crashkernel=auto reserves the memory automatically for a system. Recent profiling of kdump memory showed that on bigger RAM systems we need more kdump RAM because filtering utility needs 2bits of RAM for every physical 4K page. That means on 1TB of memory system, we need 64MB of extra kdump memory just to filter the vmcore.

Fix crashkernel=auto logic to take above into account. This should improve our ability to reserve just right amount of memory on many machines out there.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 3 RHEL Product and Program Management 2011-08-11 18:10:16 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 6 Aristeu Rozanski 2011-08-24 15:54:13 UTC
Patch(es) available on kernel-2.6.32-192.el6

Comment 9 Chao Ye 2011-09-19 01:33:16 UTC
Tested on dell-per910-02.lab.bos.redhat.com with crashkernel=auto and crashkernel=192M:
https://beaker.engineering.redhat.com/recipes/275192

Change status to VERIFIED.

Comment 10 errata-xmlrpc 2011-12-06 14:03:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1530.html


Note You need to log in before you can comment on or make changes to this bug.